// 16-bit adder
module alu(a, b, op, result, zero);
	input[31:0] a, b;
	input[2:0] op;
	output [31:0] result;
	output zero;

	reg[31:0] result;
	always begin
		case (op)
			3'b000: result = a & b;
			3'b001: result = a | b;
			3'b010: result = a + b;
			3'b110: result = a - b;
			default: result = 0;
		endcase
	end

	assign zero = (result == 0);
endmodule
