// ALU control
module alu_control(aluop, opcode, alucon);
	input[1:0] aluop;
	input[5:0] opcode;
	output reg[2:0] alucon;

	always begin
		case (aluop)
			2'b00:	// lw/sw
				alucon = 3'b010;
			2'b01:	// beq
				alucon = 3'b110;
			2'b10:	// arithmetic
				case (opcode)
					6'b100000:	// add
						alucon = 3'b010;
					6'b100011:	// sub
						alucon = 3'b110;
					default:
						alucon = 3'b000;
				endcase
			default:
				alucon = 3'b000;
		endcase
	end
endmodule
